#include<iostream>
#include<algorithm>
using namespace std;
int main(){
int n,c=1,i,m;
cin>>n;
for( i=2;n>c;i++){c*=i;}
i--;
c/=i;
//cout<<i<<' ';
//cout<<c<<' ';
for(int j=0;j<n;j++){
    if(j%c==1){
        m=j;
    }
}
cout<<m;
return 0;
}
